org.apache.tools.ant.filters

## Class LineContains.Contains

- java.lang.Object
- - org.apache.tools.ant.filters.LineContains.Contains

- Enclosing class:
    LineContains

      public static class LineContains.Contains
      extends java.lang.Object

  Holds a contains element

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineContains.Contains()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the contains string.
    `void` | `setValue(java.lang.String contains)` Sets the contains string

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineContains.Contains

          public LineContains.Contains()

  - ### Method Detail

    - #### setValue

          public final void setValue(java.lang.String contains)

      Sets the contains string
      Parameters:
        `contains` - The contains string to set. Must not be `null`.

    - #### getValue

          public final java.lang.String getValue()

      Returns the contains string.
      Returns:
        the contains string for this element